Bug 111319 - [kbl] Graphical artifacts on kde
Summary: [kbl] Graphical artifacts on kde
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/i965 (show other bugs)
Version: 19.0
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Intel 3D Bugs Mailing List
QA Contact: Intel 3D Bugs Mailing List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-08-07 13:00 UTC by megastallman
Modified: 2019-08-13 15:35 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
video artifacts. (10.51 KB, image/png)
2019-08-07 13:00 UTC, megastallman
Details
xorg log (35.47 KB, text/x-log)
2019-08-07 13:13 UTC, megastallman
Details
glxinfo output (37.78 KB, text/plain)
2019-08-07 13:14 UTC, megastallman
Details
Xorg.0.log after mesa upgrade (35.47 KB, text/x-log)
2019-08-08 11:43 UTC, megastallman
Details
Xorg.0.log after mesa upgrade to 19.2 (35.47 KB, text/x-log)
2019-08-08 11:44 UTC, megastallman
Details
glxinfo after mesa upgrade to v 19.2 (38.56 KB, text/plain)
2019-08-08 11:46 UTC, megastallman
Details

Note You need to log in before you can comment on or make changes to this bug.
Description megastallman 2019-08-07 13:00:03 UTC
Created attachment 144969 [details]
video artifacts.

Hi everyone!

I'm having graphical artifacts sometimes on my Xiaomi 12.5 inch laptop, running Kubuntu 18.04. It appears randomly after a half a day of working. To remove the artifact, I can close the application window it frames around. I use i915 intel integrated video. I've tried to enable/disable compositing and chose different OpenGL backends, nothing helped.
Please see the attached screenshot. Also, I can provide more logs is required. Thanks in advance!
Comment 1 Chris Wilson 2019-08-07 13:03:37 UTC
Looks more render compression related than display. Could you attach Xorg.0.log and glxinfo?
Comment 2 megastallman 2019-08-07 13:13:25 UTC
Created attachment 144970 [details]
xorg log
Comment 3 megastallman 2019-08-07 13:14:14 UTC
Created attachment 144971 [details]
glxinfo output
Comment 4 Chris Wilson 2019-08-07 13:28:38 UTC
19.0.2... Distant bells are being rung, I think this style of corruption been seen before. Worth checking to see if there a 19.2 (or master) package of mesa available for testing.
Comment 5 megastallman 2019-08-07 18:59:28 UTC
Still 19.1.2 - is the latest for the latest Ubuntu version(eoan)
Comment 6 megastallman 2019-08-07 19:03:43 UTC
(In reply to megastallman from comment #5)
> Still 19.1.2 - is the latest for the latest Ubuntu version(eoan)

I've found 19.2 here: https://launchpad.net/~oibaf/+archive/ubuntu/graphics-drivers/ I'll try if it works...
Comment 7 Mark Janes 2019-08-07 21:30:54 UTC
Check your xserver version.  Bugs have been recently fixed:

https://gitlab.freedesktop.org/xorg/xserver/issues/545
Comment 8 Lionel Landwerlin 2019-08-07 22:39:07 UTC
(In reply to Mark Janes from comment #7)
> Check your xserver version.  Bugs have been recently fixed:
> 
> https://gitlab.freedesktop.org/xorg/xserver/issues/545

One of the bug there was worked around by a change in mutter. So there is still an annoying issue in i965 at the moment.

The pattern looks like a desynchro in compressed state of the texture used for the decorations of the window.

Does this happen after a screenshot was taken by any chance? :)
Comment 9 megastallman 2019-08-08 11:43:11 UTC
Created attachment 144980 [details]
Xorg.0.log after mesa upgrade
Comment 10 megastallman 2019-08-08 11:44:57 UTC
Created attachment 144981 [details]
Xorg.0.log after mesa upgrade to 19.2
Comment 11 megastallman 2019-08-08 11:46:01 UTC
Created attachment 144982 [details]
glxinfo after mesa upgrade to v 19.2
Comment 12 megastallman 2019-08-08 11:48:10 UTC
Hi Lionel!

My working day has just begun, and I'll try to wait for a couple more days to try to see the artifact. At the moment - everything is fine so far...
Comment 13 megastallman 2019-08-11 08:27:10 UTC
Thanks Loinel and Chris!

No artifacts so far. Thanks much! I'll take one more week to see...


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.